Customer Registration

Creates an Azure Blob Storage integration.

POST /partner-integration/azure/storage-blob/pc

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

integrationType

 
Mandatory String Specify the type of integration. Provide the value as “Azure_storage_blob”

containerName

Mandatory

String

Name of the container where you need the PC data.

connectionString

Mandatory

String

Connection string, which is needed to post data to Azure Storage Blob.

SampleSample

API Request

"curl -X POST""<qualys_gateway_url>/partner-integration/{productID}/integration""-H""Authorization: Bearer <token>"	  
	  

Request Body

{
"integrationType": "azure_storage_blob",
"containerName": "qualys-pc-findings",
"connectionString": "DefaultEndpointsProtocol=https;AccountName=qualyspcfindings;AccountKey=xxxxxxxxxxxxxx==;EndpointSuffix=core.windows.net"
}  
	  

Response

{
"productName": "pc",
"integrationValidated": false
}